> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/android/standalone-modules/document-detector/references.md).

# Referências

### DocumentDetectorResult

| Parâmetro                  | Descrição                                                                                                                                                                        | Permitir nulo |
| -------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------- |
| `capturas: Array<Capture>` | Array de capturas para os documentos fornecidos. Pode ser nulo em caso de erro.                                                                                                  | ✅             |
| `tipo: String`             | Classe do fluxo de documentos. Os valores possíveis estão listados acima. Pode ser nulo em caso de erro. Os valores possíveis estão na [seção abaixo](#possible-values-for-type) | ✅             |
| `trackingId: String`       | Identificador para esta execução em nossos servidores. Obrigatório para análises e depuração.                                                                                    | ❌             |
| `sdkFailure: SDKFailure?`  | Indica o motivo do encerramento do SDK. Nulo se a operação for bem-sucedida.                                                                                                     | ✅             |

#### Valores possíveis para `tipo`

O parâmetro `tipo` pode ter um dos seguintes valores:

* `"em branco"`
* `"cnh"`
* `"cnh_new"`
* `"genérico"`
* `"rg"`
* `"rg_new"`
* `"rne"`
* `"rnm"`
* `"ctps"`
* `"passaporte"`
* `"crlv"`
* `"crlv_new"`
* `"cin"`

### Captura

| Parâmetro           | Descrição                                                                                                                         | Permitir nulo |
| ------------------- | --------------------------------------------------------------------------------------------------------------------------------- | ------------- |
| `imagePath: String` | Caminho completo da imagem no dispositivo do usuário.                                                                             | ❌             |
| `imageUrl: String`  | URL do documento no servidor do Caf. Esta URL expira, e o tempo de expiração pode ser definido usando `setGetImageUrlExpireTime`. | ❌             |
| `rótulo: String`    | Rótulo do respectivo documento. Os valores possíveis estão listados na [seção abaixo](#possible-values-for-captures).             | ❌             |
| `qualidade: Double` | Pontuação de qualidade inferida pelo algoritmo de qualidade do documento. Varia entre 0 e 5.                                      | ❌             |

#### Valores possíveis para `capturas`

O parâmetro `capturas` pode ter um dos seguintes valores:

* `"em branco"`
* `"cnh_back"`
* `"cnh_front"`
* `"cnh_full"`
* `"new_cnh_back"`
* `"new_cnh_front"`
* `"new_cnh_full"`
* `"crlv"`
* `"crlv_new"`
* `"genérico"`
* `"rg_back"`
* `"rg_front"`
* `"rg_full"`
* `"rg_new_back"`
* `"rg_new_front"`
* `"rg_new_full"`
* `"rne_back"`
* `"rne_front"`
* `"rnm_back"`
* `"rnm_front"`
* `"ctps_back"`
* `"ctps_front"`
* `"passaporte"`
* `"cin_front"`
* `"cin_back"`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/android/standalone-modules/document-detector/references.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
